package a3test.etc;

import jp.sourceforge.acerola3d.a3.*;

public class SceneTest {
    public static void main(String args[]) throws Exception {
        A3Window window = new A3Window(300,300);

        window.setCameraLocImmediately(-0.1,0.0,2.0);
        window.setNavigationMode(A3CanvasInterface.NaviMode.NONE);
        A3Text3D a3_0 = new A3Text3D("ゲーム開始！");
        a3_0.setRot(0.0,0.5,0.0);a3_0.setScale(0.2);
        a3_0.setLabel("label0");
        window.add(a3_0);

        window.prepareScene(1);
        window.setCameraLocImmediately(0.0,0.0,5.0,1);
        window.setNavigationMode(A3CanvasInterface.NaviMode.EXAMINE,1);
        Action3D a3_1 = new Action3D("x-res:///axis.a3");
        a3_1.setLabel("label1");
        window.add(a3_1,1);

        window.prepareScene(2);
        window.setCameraLocImmediately(0.1,0.0,2.0,2);
        window.setNavigationMode(A3CanvasInterface.NaviMode.WALK,2);
        A3Text3D a3_2 = new A3Text3D("ゲームオーバー");
        a3_2.setRot(0.0,-0.5,0.0);a3_2.setScale(0.2);
        a3_2.setLabel("label2");
        window.add(a3_2,2);

        while (true) {
            window.changeActiveScene(1);
            try{Thread.sleep(3000);}catch(Exception e){;}
            window.changeActiveScene(2);
            try{Thread.sleep(3000);}catch(Exception e){;}
            window.changeActiveScene(0);
            try{Thread.sleep(3000);}catch(Exception e){;}
        }
    }
}
